RecursiveDirectoryIterator::getChildren
RecursiveDirectoryIterator::key
RecursiveDirectoryIterator
PHP Manual

# RecursiveDirectoryIterator::hasChildren

(PHP 5)

RecursiveDirectoryIterator::hasChildren — Returns whether current entry is a directory and not '.' or '..'

### Description

bool RecursiveDirectoryIterator::hasChildren ([ bool `$allow_links` ] )
Warning

This function is currently not documented; only its argument list is available.

### Parameters

`allow_links`

### Return Values

Returns whether the current entry is a directory, but not '.' or '..'

RecursiveDirectoryIterator::getChildren
RecursiveDirectoryIterator::key
RecursiveDirectoryIterator
PHP Manual